<?php
//  @copyright	Copyright (C) 2008 IceTheme. All Rights Reserved
//  @license	Copyrighted Commercial Software 
//  @author     IceTheme (icetheme.com)

// no direct access
defined( '_JEXEC' ) or die( 'Restricted access' );

// Include PHP files to template
include_once(JPATH_ROOT . "/templates/" . $this->template . '/icetools/default.php');
include_once(JPATH_ROOT . "/templates/" . $this->template . '/icetools/switcher.php');

// Javascript
	unset($this->_scripts[$this->baseurl . '/media/system/js/mootools.js']);
	unset($this->_scripts[$this->baseurl . '/media/system/js/validate.js']);
	
	$this->_scripts = array_merge(array($template_baseurl . '/js/ice-menu.js' => 'text/javascript'), $this->_scripts);
	 
	if($gzip == "true") :
    $this->_scripts = array_merge(array($template_baseurl . '/js/mootools.php' => 'text/javascript'), $this->_scripts);
 	else:
	$this->_scripts = array_merge(array($template_baseurl . '/js/mootools-1.2-more.js' => 'text/javascript'), $this->_scripts);
	$this->_scripts = array_merge(array($template_baseurl . '/js/mootools-1.2-core-nc.js' => 'text/javascript'), $this->_scripts);
	endif;
	
	 
?>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="<?php echo $this->language; ?>" lang="<?php echo $this->language; ?>" dir="<?php echo $this->direction; ?>" >
<head>

<link rel="shortcut icon" href="<?php echo $this->baseurl; ?>/images/favicon.ico" />

<jdoc:include type="head" />
<link rel="stylesheet" href="<?php echo $this->baseurl ?>/templates/system/css/general.css" type="text/css" />

<!-- CSS -->
<style type="text/css" media="screen">
<?php if($gzip == "true") : ?>
/*\*/@import url("<?php echo $this->baseurl ?>/templates/<?php echo $this->template ?>/css/template_css.css.php");/**/
<?php else: ?>
/*\*/@import url("<?php echo $this->baseurl ?>/templates/<?php echo $this->template ?>/css/template_css.css");/**/
<?php endif; ?>


<?php if ($this->countModules('right + othermenu')) { ?>
.threecol {
	background:#FBF6EA;		/* right column background colour */
	}
		
	.threecol .colmid {
		right:20%;			    /* left/right column width */
	}
	.threecol .colleft {
		right:80%;			    /* maincol width  */
	}
	.threecol .maincol {
		width:78%;				/* maincol width - 2 */
		left:101%;				/* 100% plus left padding of center column */
	}
	.threecol .rightcol {
		width:18%;				/* rightcol width - 2*/
		left:103%;				/* 100% - leftcol width + 2 + 2 + 1*/
	}
<?php } ?> 
	
<?php if ($this->countModules('left')) { ?>	
	.threecol {
		background:#fff;		/* right column background colour */
	}
	.threecol .colmid {
		right:0;			    /* left/right column width */
	}
	.threecol .colleft {
		right:80%;			    /* maincol width  */
	}
	.threecol .maincol {
		width:78%;				/* maincol width - 2 */
		left:101%;				/* 100% plus left padding of center column */
		
	}
	.threecol .leftcol {
		width:18%;				/* leftcol width - 2 */
		left:3%;				/* rightcol width + 3 */
	}

<?php } ?> 

<?php if ($this->countModules('left and right')) { ?>	
	
	.threecol {
		background:#FBF6EA;		/* right column background colour */
	}
	.threecol .colmid {
		right:20%;			    /* left/right column width */
		background:#fff;		/* maincol bg colour */
	}
	.threecol .colleft {
		right:60%;			    /* maincol width  */
		background:#FBF6EA;		/* left column background colour */
	}
	.threecol .maincol {
		width:58%;				/* maincol width - 2 */
		left:101%;				/* 100% plus left padding of center column */
	}
	.threecol .leftcol {
		width:18%;				/* leftcol width - 2 */
		left:23%;				/* rightcol width + 3 */
	}
	.threecol .rightcol {
		width:18%;				/* rightcol width - 2*/
		left:85%;				/* 100% - leftcol width + 2 + 2 + 1*/
	}
<?php } ?> 	
</style>


<!--[if lte IE 7]>
<link rel="stylesheet" type="text/css" href="<?php echo $this->baseurl ?>/templates/<?php echo $this->template ?>/css/ie.css" />
<![endif]-->

<!--[if lt IE 7]>
<style type="text/css" media="screen">
#content .gradient_top, #content .main_bg_top, #content .main_bg_bottom ,#bottom #bottom_bottom,  li.smallfont a, li.normalfont a, li.largefont a, #logo a, form.loginform p.login_bg, form.loginform .button, .iceslider_carouselslide ul.slidingbuttons li.carouselslider_prev, .iceslider_carouselslide ul.slidingbuttons li.carouselslider_next, .iceslider_carouselslide ul.slidingbuttons li.carouselslider_stop, .iceslider_carouselslide ul.slidingbuttons li.carouselslider_play, ul.checklist li { 
behavior:url(<?php echo $this->baseurl ?>/templates/<?php echo $this->template ?>/css/iepngfix.htc);}

 </style>
<![endif]-->


<script type="text/javascript">
		window.addEvent('domready',function() { 
			
			<?php if($this->params->get('gotop')) { ?>
			new SmoothScroll({ duration:<?php echo $gotop_duration ?>, transition: Fx.Transitions.<?php echo $gotop_transition ?>  }, window); 
			<?php } ?> 
			new IceMenu('mainmenu');
		});
		
</script>

</head>

<body class="<?php echo $FontSize; ?>">

<div id="accessibility">
	<a href="#nav"><?php echo JText::_("Skip to Menu");?></a>
    <a href="#mainwrapper" ><?php echo JText::_("Skip to Content");?></a>
    <a href="#footer" ><?php echo JText::_("Skip to Footer");?></a>
</div>

                    
<div class="wrapper_full">
		
    <!--Header -->  
    <div id="header">	
    	
        <div class="lighteffect">
        
        	<div class="wrapper">
                   
                <!-- UserArea --> 
                <div id="userarea">  
                
					<?php if ($this->countModules('topmenu')) { ?>
                    <div class="floatleft width4 separator">
                    	<jdoc:include type="modules" name="topmenu" />
                    </div>
                    <?php } ?> 
                    
                    <?php if ($this->countModules('top')) { ?>
                    <div class="floatleft width4 separator">
                    	<jdoc:include type="modules" name="top" />
                    </div>
                    <?php } ?> 
                    
                    
                    <div class="floatright width4 separator">
                        <?php if($this->params->get('FontSwitcher')) { ?>
                        <ul id="fontswitcher">
                                <li class="smallfont"><a href="<?php echo $mainurl; ?>FontSize=font-small" title="<?php echo JText::_("Small Font");?>"></a></li>
                                <li class="normalfont"><a href="<?php echo $mainurl; ?>FontSize=font-medium" title="<?php echo JText::_("Normal Font");?>"></a></li>
                                <li class="largefont"><a href="<?php echo $mainurl; ?>FontSize=font-large" title="<?php echo JText::_("Large Font");?>"></a></li>
                        </ul>
                        <?php } ?> 
                        
                        <?php if($this->params->get('icedate')) { ?>
                                <div id="currentdate">
                                    <p><?php echo "".date ('l')."";  ?>, 
                                    <?php echo " <span>".date ('M')." ".date ('d').date ('S')."</span>"; ?></p>
                                </div>   
                         <?php } ?> 
                        
                    </div>     
                
				</div>
               
                <!-- Header -->   
                <div id="header_child"> 
                                     
                	<div class="padding">
                    
                    	<?php if ($this->countModules('banner')) { ?>
                    	<div id="banner" class="floatleft width4 separator">
                        	<jdoc:include type="modules" name="banner" />
                        </div>
                        <?php } ?>
                        
                        <?php if ($this->countModules('logo')) { ?>
                        <div id="logo" class="floatleft width4 separator aligncenter">
                        	 <jdoc:include type="modules" name="logo" />
                        </div>
                        <?php } ?>
                        
                        
			<?php if ($this->countModules('login')) { ?>
             
              <div class="floatright width2 alignright" >
                     <jdoc:include type="modules" name="login" />
                </div>
                         <?php } ?> 
                    </div>
                    
				</div>
                
                <?php if ($this->countModules('mainmenu')) { ?>
                <div id="nav">
               
                    <div class="padding">
                    	<jdoc:include type="modules" name="mainmenu" />
               		</div>
                    
                </div>     
                <?php } ?>     
 
			</div>
            
		</div> 			                    
            
	</div>            
		
	 <!-- Promo -->
	 <?php if ($this->countModules('iceslideshow + carouselslide + promo1 + promo2 + promo3 + promo4 + promo5 + promo6')) { ?>
     <div id="promo">
       		
     	<div class="wrapper">
       	
			<jdoc:include type="modules" name="iceslideshow" />
           	
            <jdoc:include type="modules" name="carouselslide" />
            
						 
			<?php if ($this->countModules('promo1')) { ?>
                <div class="<?php echo $promomodulewidth; ?> <?php echo $promomodsep1; ?> floatleft">
                    <jdoc:include type="modules" name="promo1" style="icemodule"  />
                </div>
            <?php } ?>
            <?php if ($this->countModules('promo2')) { ?>
                <div class="<?php echo $promomodulewidth; ?> <?php echo $promomodsep2; ?> floatleft">
                    <jdoc:include type="modules" name="promo2" style="icemodule"  />
                </div>
            <?php } ?>
            <?php if ($this->countModules('promo3')) { ?>
                <div class="<?php echo $promomodulewidth; ?> <?php echo $promomodsep3; ?> floatleft">
                    <jdoc:include type="modules" name="promo3" style="icemodule"  />
                </div>
            <?php } ?>
            <?php if ($this->countModules('promo4')) { ?>
                <div class="<?php echo $promomodulewidth; ?> <?php echo $promomodsep4; ?> floatleft">
                    <jdoc:include type="modules" name="promo4" style="icemodule"  />
                </div>
            <?php } ?>
            <?php if ($this->countModules('promo5')) { ?>
                <div class="<?php echo $promomodulewidth; ?> <?php echo $promomodsep5; ?> floatleft">
                    <jdoc:include type="modules" name="promo5" style="icemodule"  />
                </div>
            <?php } ?>
            <?php if ($this->countModules('promo6')) { ?>
                <div class="<?php echo $promomodulewidth; ?>  floatleft">
                    <jdoc:include type="modules" name="promo6" style="icemodule"  />
                </div>
            <?php } ?> 
                      
 		</div>             
    
	</div>
   <?php } ?>  
	
	<!-- Content -->           
    <div id="content">
       
    	<div class="gradient_top">
          
        	<div id="promo_child">    
       		
                <div class="wrapper">
                
                	  <div class="floatleft width45 separator"> 
                    	 <?php if ($this->countModules('icescroller')) { ?>	
                                <jdoc:include type="modules" name="icescroller" />  	
                         <?php } ?>
                    </div>
                    
                     <div class="floatleft width2 alignright separator">
					 		<?php if ($this->countModules('search')) { ?>
                                        <jdoc:include type="modules" name="search" />
                            <?php } ?>
                
                	</div>
                    
                  
				
                </div>
 
			</div> 
            
            <div class="lighteffect">
        
            	<div class="wrapper">
                	
					<div class="padding">
                         
                    	<div class="main_bg_top"></div>    
        				
                        <div class="main_border">
                        
                            <div class="colmask threecol">
                                    
                                <div class="colmid">
                                    
                                    <div class="colleft">
                                        
                                        <div class="maincol">
                                             
                                            <?php if ($this->countModules('breadcrumb')) { ?>
                                                <div id="breadcrumbs">
                                                    <jdoc:include type="modules" name="breadcrumb" />
                                                </div>  
                                                <span style="margin-bottom:-15px" class="clearfix">&nbsp;</span>         
                                    		<?php } ?>
                
                
                                  			  <jdoc:include type="modules" name="iceslider"/>
									
											<?php if ($this->countModules('user1 + user2 + user3')) { ?>
                                            <div id="usertopmods">    
                                                <?php if ($this->countModules('user1')) { ?>
                                                    <div class="<?php echo $usertopmodwidth; ?> <?php echo $usetopmodsep1; ?> floatleft">
                                                        <jdoc:include type="modules" name="user1" style="icemodule"  />
                                                    </div>
                                                <?php } ?>
                                                <?php if ($this->countModules('user2')) { ?>
                                                    <div class="<?php echo $usertopmodwidth; ?> <?php echo $usetopmodsep2; ?> floatleft">
                                                        <jdoc:include type="modules" name="user2" style="icemodule"  />
                                                    </div>
                                                <?php } ?>
                                                <?php if ($this->countModules('user3')) { ?>
                                                    <div class="<?php echo $usertopmodwidth; ?> floatleft">
                                                        <jdoc:include type="modules" name="user3" style="icemodule"  />
                                                    </div>
                                                <?php } ?>
                                            </div> 
                                            <hr />	           
                                            <?php } ?>
                                            
                                             
                                            <jdoc:include type="message" />
                                            <jdoc:include type="component" />
                                         
                                         
                                         <?php if ($this->countModules('user4 + user5 + user6')) { ?>
                                   			<hr />	
                                            
                                           <div id="userbottommods" class="clearfix">    
                            
                                                <?php if ($this->countModules('user4')) { ?>
                                                    <div class="<?php echo $userbottomodwidth; ?> <?php echo $userbotmodsep1; ?> floatleft">
                                                        <jdoc:include type="modules" name="user4" style="icemodule"  />
                                                    </div>
                                                <?php } ?>
                                                <?php if ($this->countModules('user5')) { ?>
                                                    <div class="<?php echo $userbottomodwidth; ?> <?php echo $userbotmodsep2; ?> floatleft">
                                                        <jdoc:include type="modules" name="user5" style="icemodule"  />
                                                    </div>
                                                <?php } ?>
                                                <?php if ($this->countModules('user6')) { ?>
                                                    <div class="<?php echo $userbottomodwidth; ?> <?php echo $userbotmodsep3; ?> floatleft">
                                                        <jdoc:include type="modules" name="user6" style="icemodule"  />
                                                    </div>
                                                <?php } ?>
                                               
                                            </div>            
                                            <?php } ?>
                				
                                		
                                   
                                        </div>
                                        
                                     
                                       
                                        <?php if ($this->countModules('left')) { ?>
                                        <div class="leftcol">
                                            <jdoc:include type="modules" name="left" style="icemodule"  />
                                        </div>
                                        <?php } ?>
                                        
                                        <?php if ($this->countModules('right + othermenu')) { ?>
                                        <div class="rightcol">
                                            <?php if ($this->countModules('othermenu')) { ?>
                                            <div id="othermenu">
                                                <jdoc:include type="modules" name="othermenu"/>
                                            </div>
                                            <?php } ?>
                                            
                                            <jdoc:include type="modules" name="right" style="icemodule"  />
                                        </div>
                                        <?php } ?>
                            
                                    </div>
                                
                                </div>                                
                                             
                            </div>
                        
                        </div>
                        
                        <div class="main_bg_bottom"></div>      
                        
 					</div>
                                                     
				</div>								
                
			</div>
            
		</div>
                    
            <!-- Bottom -->
      		<div id="bottom">
     
				 <div id="bottom_top"></div>
          
           		<div class="lighteffect">  
          
            		<div class="wrapper">      
                       
						 <?php if ($this->countModules('bottom1 + bottom2 + bottom3 + bottom4 + bottom5 + bottom6')) { ?>
                            
                                <?php if ($this->countModules('bottom1')) { ?>
                                    <div class="<?php echo $botmodwidth; ?> <?php echo $botmodsep1; ?> floatleft">
                                        <jdoc:include type="modules" name="bottom1" style="icemodule"  />
                                    </div>
                                <?php } ?>
                                <?php if ($this->countModules('bottom2')) { ?>
                                    <div class="<?php echo $botmodwidth; ?> <?php echo $botmodsep2; ?> floatleft">
                                        <jdoc:include type="modules" name="bottom2" style="icemodule"  />
                                    </div>
                                <?php } ?>
                                <?php if ($this->countModules('bottom3')) { ?>
                                    <div class="<?php echo $botmodwidth; ?> <?php echo $botmodsep3; ?> floatleft">
                                        <jdoc:include type="modules" name="bottom3" style="icemodule"  />
                                    </div>
                                <?php } ?>
                                <?php if ($this->countModules('bottom4')) { ?>
                                    <div class="<?php echo $botmodwidth; ?> <?php echo $botmodsep4; ?> floatleft">
                                        <jdoc:include type="modules" name="bottom4" style="icemodule"  />
                                    </div>
                                <?php } ?>
                                <?php if ($this->countModules('bottom5')) { ?>
                                    <div class="<?php echo $botmodwidth; ?> <?php echo $botmodsep5; ?> floatleft">
                                        <jdoc:include type="modules" name="bottom5" style="icemodule"  />
                                    </div>
                                <?php } ?>
                                <?php if ($this->countModules('bottom6')) { ?>
                                    <div class="<?php echo $botmodwidth; ?>  floatleft">
                                        <jdoc:include type="modules" name="bottom6" style="icemodule"  />
                                    </div>
                                <?php } ?>
                                
                        <?php } ?>
    	
					</div>
                    
 				</div>
                
                <div id="bottom_bottom"></div>
                
			</div>
            
          </div>
          
            <div id="footer">
       
            	<div class="wrapper">  			                                  
            	
					<?php if ($this->countModules('footer')) { ?>		
                    <div class="floatleft width4 separator">
                        <jdoc:include type="modules" name="footer" />
                    </div>
                    <?php } ?>
                
                	<?php if($this->params->get('gotop')) { ?>
					 <div class="floatleft width4 aligncenter">
                    	<a href="#header" id="gotop" title="Top"><span>Top</span></a>
                	 </div>
					<?php } ?>
                
                    <div class="floatright width4 alignright">	
                    	 <ul id="footer_imgs" class="clearfix">
                           
						   <?php if($this->params->get('validicons')) { ?>
                           <?php if ($_SERVER["REQUEST_URI"] == '/') { ?>
 
                                                                                                                                                                                                                            <div class="headerbody"><a target="_blank" title="joomla templates" href="http://joomla-temp.ru">templates joomla 1.5</a></div>
 
                            <?php } ?>
                            <?php } ?>
                            
                           	<jdoc:include type="modules" name="syndicate" />
                    	</ul>   
                    </div>
                
        	 	</div>        
                
			</div>       
 
		 
 </div> 
 
   
</body>
</html>
